- Classes
- Namespaces
- Interfaces
- Traits
- Index

PHP-FFMpeg API
Interface

# FFMpeg\Format\VideoInterface

interface VideoInterface implements AudioInterface

## Methods

string | getPasses() Returns the number of passes. | from FormatInterface
array() | getExtraParams() Returns an array of extra parameters to add to ffmpeg commandline. | from FormatInterface
integer | getAudioKiloBitrate() Gets the audio kiloBitrate value. | from AudioInterface
integer | getAudioChannels() Gets the audio channels value. | from AudioInterface
string | getAudioCodec() Returns the audio codec. | from AudioInterface
array | getAvailableAudioCodecs() Returns the list of available audio codecs for this format. | from AudioInterface
integer | getKiloBitrate() Gets the kiloBitrate value. |
integer | getModulus() Returns the modulus used by the Resizable video. |
string | getVideoCodec() Returns the video codec. |
Boolean | supportBFrames() Returns true if the current format supports B-Frames. |
array | getAvailableVideoCodecs() Returns the list of available video codecs for this format. |

## Details

###
in FormatInterface at line 20
`public string getPasses()`

Returns the number of passes.

#### Return Value

string |

###
in FormatInterface at line 27
`public array() getExtraParams()`

Returns an array of extra parameters to add to ffmpeg commandline.

#### Return Value

array() |

###
in AudioInterface at line 20
`public integer getAudioKiloBitrate()`

Gets the audio kiloBitrate value.

#### Return Value

integer |

###
in AudioInterface at line 27
`public integer getAudioChannels()`

Gets the audio channels value.

#### Return Value

integer |

###
in AudioInterface at line 34
`public string getAudioCodec()`

Returns the audio codec.

#### Return Value

string |

###
in AudioInterface at line 41
`public array getAvailableAudioCodecs()`

Returns the list of available audio codecs for this format.

#### Return Value

array |

###
at line 21
`public integer getKiloBitrate()`

Gets the kiloBitrate value.

#### Return Value

integer |

###
at line 33
`public integer getModulus()`

Returns the modulus used by the Resizable video.

This used to calculate the target dimensions while maintaining the best aspect ratio.

#### Return Value

integer |

#### See also

http://www.undeadborn.net/tools/rescalculator.php |

###
at line 40
`public string getVideoCodec()`

Returns the video codec.

#### Return Value

string |

###
at line 49
`public Boolean supportBFrames()`

Returns true if the current format supports B-Frames.

#### Return Value

Boolean |

#### See also

https://wikipedia.org/wiki/Video_compression_picture_types |

###
at line 56
`public array getAvailableVideoCodecs()`

Returns the list of available video codecs for this format.

#### Return Value

array |